Description

I would like to be able to jump to any page in the atlas.  Right now the only buttons available to scroll through atlas pages are arrows that

correspond to 'First, Back, Forward, and Last' pages.  At the bottom of the atlas in the composer, there is text telling me what page I am

on (ie: Atlas feature 35 of 53), but I can't jump directly to any page in the atlas.  I must scroll through pages one by one.  This is frustrating

as some of my atlases have many pages and it takes a lot of time to have to scroll through page after page to get to where I want to be.

Associated revisions

Revision d07dadf3 - 2015-07-23 07:02 AM - Nyall Dawson

[FEATURE][composer] Add page number combo box to atlas toolbar

(fix #13136)

History

#1 - 2015-07-22 06:31 AM - Andreas Neumann

Hi Ernest,

I agree that it would be a useful feature to directly jump to a page - however, often you don't know the number ...

A better way is to use the "Run Feature Action" combined with the "Set as Atlas Feature ..." action. It is the button next to the identify tool - where you can

select an action in the drop-down list and then pick the feature in the map.

Does this address your need?

Andreas

#2 - 2015-07-22 01:42 PM - Nyall Dawson

Note that the "set as atlas feature" is also in the right click menu from the attributes table too

#3 - 2015-07-22 07:09 PM - Ernest Johnson

- File Data_Driven_Pages.JPG added

Hi,

Thanks for letting me know of the "set as atlas feature" tool.  That will help a lot, however it is not ideal.  The atlas project I have is large and ongoing over

the course of several months.  Often I need to create pdfs of only certain pages when updates are made.  I have an atlas order field in my coverage data
layer, so I know what page they are on.  Being able to open the atlas composer and jump to the individual page I want to export, rather than moving around

the canvas and selecting the feature, would be best.

Also, my atlas uses inverted polygon symbology to mask out the not current atlas features, since some of the atlas features are close together but can't be

shown together.  When I use the "Set as Atlas Feature" tool, all my other atlas features in the canvas get masked out.  So, if I have 2 or 3 pages to export I

have toggle on and off layers to make my coverage layer show up.

Having the ability to choose a page in the atlas composer would be the best option for me.  ArcMap has that capability on its Data Driven Pages toolbar

(screen shot attached).

Thanks again.

Ernest

#4 - 2015-07-22 10:08 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"d07dadf3336590d85b4bdef41391eb8b7224974f".

#5 - 2015-07-22 11:46 PM - Andreas Neumann

- File qgis_atlas_filter_with.png added

Ernest - your feature request is now implemented in QGIS master by Nyall. It will be released with QGIS 2.12.

Meanwhile you can also use the filter option to quickly get to your desired individual atlas page - or filtered series of atlas pages. See red rectangle in

screenshot which I just uploaded.

In the "Atlas generation" tab just enable the "Filter with" checkbox and enter your desired filter.

#6 - 2015-07-23 01:28 AM - Ernest Johnson

Excellent!  I look forward to the release.  Thank you.
